@echo off
rem ***********************************************************
rem <country> <mkgmap-release> [<source>]
rem Example1: Create GermanyPlus 1700
rem Example2: Create GermanyPlus 1700 ..\TilesGermanyPlus\*.gz
rem ***********************************************************

SETLOCAL

echo **********************************************************
echo %0 %1
echo **********************************************************

if [%1]==[] goto tagEndParmError
if [%2]==[] goto tagEndParmError

rem retrieve date
for /F "tokens=2 delims==." %%I in ('%SystemRoot%\System32\wbem\wmic.exe OS GET LOCALDATETime /VALUE') do set "LOCALDATE=%%I"
set "LOCALDATE=%LOCALDATE:~0,4%-%LOCALDATE:~4,2%-%LOCALDATE:~6,2%"

set COUNTRY=%1
set MKGMAP_REL=%2
set SOURCE=..\Tiles\%COUNTRY%\*.pbf
set MAP_DIR=..\Maps\%COUNTRY%International

if not "%3"=="" set SOURCE=%3 

if exist "%MAP_DIR%" goto tagClear
	mkdir "%MAP_DIR%"
	goto tagDirIsEmtpy
:tagClear
del "%MAP_DIR%\"
:tagDirIsEmtpy

if defined ProgramFiles(x86) (
	echo 64bit
	set JVM_MEMORY=10G
) else (
	set JVM_MEMORY=1400M
)

rem ###########################################################################
rem Create Style
set STYLEDIR=.\style\snInternational
if exist "%STYLEDIR%" rmdir /Q /S "%STYLEDIR%"
xcopy /Y /V /E ".\style\snNormal" "%STYLEDIR%\"
(
	echo summary: SN International Style ^(auto-generated from snNormal^)
	echo version=1.0 
) > "%STYLEDIR%\info"
call :InsertIntNameConversion "%STYLEDIR%\relations"
call :InsertIntNameConversion "%STYLEDIR%\lines"
call :InsertIntNameConversion "%STYLEDIR%\points"
call :InsertIntNameConversion "%STYLEDIR%\polygons"

rem ###########################################################################
rem Compile
java -jar -Dlog.config=config\mkgmap.logging.properties -Xmx%JVM_MEMORY% mkgmap\mkgmap-r%MKGMAP_REL%\mkgmap.jar^
	--style-file=.\style^
	--list-styles^
	--check-styles^
	--style=snInternational^
	--preserve-element-order^
	--unicode^
	--gmapsupp^
	--add-pois-to-areas^
	--remove-short-arcs^
	--merge-lines^
	--route^
	--index^
	--bounds="..\Boundaries\Europe"^
	--x-split-name-index^
	--process-exits^
	--housenumbers^
	--reduce-point-density=4^
	--reduce-point-density-polygon=8^
	--precomp-sea=..\PlanetFiles\sea-latest.zip^
	--remove-ovm-work-files^
	--max-jobs=4^
	--family-name="OSM %COUNTRY%"^
	--description="OpenStreetMap %COUNTRY%(routable) %LOCALDATE%"^
	--output-dir="%MAP_DIR%"^
	.\typ\snNormal.txt^
	%SOURCE% %4 %5 %6 %7 %8 %9 

exit /b 0

:tagEndParmError
echo Missing parameters

:InsertIntNameConversion
(
	echo # Create international name
	echo.
	echo name:en=*  ^& xx_name_xx!=* { set xx_name_xx = '${name:en}' } 
	echo name:de=*  ^& xx_name_xx!=* { set xx_name_xx = '${name:de}' } 
	echo name:fr=*  ^& xx_name_xx!=* { set xx_name_xx = '${name:fr}' }
	echo name:es=*  ^& xx_name_xx!=* { set xx_name_xx = '${name:es}' } 
	echo name:it=*  ^& xx_name_xx!=* { set xx_name_xx = '${name:it}' } 
	echo int_name=* ^& xx_name_xx!=* { set xx_name_xx = '${int_name}' }
	echo.
	echo xx_name_xx=* ^& xx_name_xx!=${name} { set name = '${xx_name_xx} ^(${name}^)' ^| '${xx_name_xx}' } 
	echo.
) > "%~1.tmp"
type "%~1" >> "%~1.tmp"
move /Y "%~1.tmp" "%~1"
exit /b
