@echo off
rem ***********************************************************
rem <country> <mkgmap-release> [<source>]
rem Example1: Create GermanyPlus 1700
rem Example2: Create GermanyPlus 1700 ..\TilesGermanyPlus\*.gz
rem ***********************************************************

SETLOCAL

echo **********************************************************
echo %0 %1
echo **********************************************************

if [%1]==[] goto tagEndParmError
if [%2]==[] goto tagEndParmError

rem retrieve date
for /F "tokens=2 delims==." %%I in ('%SystemRoot%\System32\wbem\wmic.exe OS GET LOCALDATETime /VALUE') do set "LOCALDATE=%%I"
set "LOCALDATE=%LOCALDATE:~0,4%-%LOCALDATE:~4,2%-%LOCALDATE:~6,2%"

set COUNTRY=%1
set MKGMAP_REL=%2
set SOURCE=..\Tiles\%COUNTRY%\*.pbf
set MAP_DIR=..\Maps\%COUNTRY%Slim

if not "%3"=="" set SOURCE=%3 

if exist "%MAP_DIR%" goto tagClear
	mkdir "%MAP_DIR%"
	goto tagDirIsEmtpy
:tagClear
del "%MAP_DIR%\"
:tagDirIsEmtpy

if defined ProgramFiles(x86) (
	echo 64bit
	set JVM_MEMORY=2G
) else (
	set JVM_MEMORY=1400M
)

rem ###########################################################################
rem Derive style from snNormal
set STYLEDIR=.\style\snSlim
if exist "%STYLEDIR%" rmdir /Q /S "%STYLEDIR%"
xcopy /Y /V /E ".\style\snNormal" "%STYLEDIR%\"
(
	echo summary: SN Slim Style ^(auto-generated from snNormal^)
	echo version=1.0 
) > "%STYLEDIR%\info"
rem Use FancyRoute's Map-Analysis function in order to find out which elements need to be removed for pruning
rem adjust polygons
type "%STYLEDIR%\polygons" | .\mkgmap\findrepl "\[0x13[ \ta-zA-Z0-9]*\]" "{deletealltags}" > "%STYLEDIR%\polygons.tmp"
move /Y "%STYLEDIR%\polygons.tmp" "%STYLEDIR%\polygons"
rem adjust lines: replace steps and cycleways by footpath; remove extended types
type "%STYLEDIR%\lines" | .\mkgmap\findrepl "\[ *(0x0*f|0x0*e)" "[0x016" | .\mkgmap\findrepl /V "\[(0x1[0-9a-fA-f]{4,})" > "%STYLEDIR%\lines.tmp"
move /Y "%STYLEDIR%\lines.tmp" "%STYLEDIR%\lines"

rem ###########################################################################
rem Compile
java -jar -Dlog.config=config\mkgmap.logging.properties -Xmx%JVM_MEMORY% mkgmap\mkgmap-r%MKGMAP_REL%\mkgmap.jar^
	--style-file=.\style^
	--list-styles^
	--check-styles^
	--style=snSlim^
	--preserve-element-order^
	--latin1^
	--gmapsupp^
	--add-pois-to-areas^
	--remove-short-arcs^
	--merge-lines^
	--no-poi-address^
	--precomp-sea=..\PlanetFiles\sea-latest.zip^
	--remove-ovm-work-files^
	--max-jobs=4^
	--family-name="OSM %COUNTRY%"^
	--description="OpenStreetMap %COUNTRY%(slim) %LOCALDATE%"^
	--output-dir="%MAP_DIR%"^
	%SOURCE% %4 %5 %6 %7 %8 %9 

rem ###########################################################################
rem Remove image tiles
if exist "%MAP_DIR%\gmapsupp.img" (
	rename "%MAP_DIR%\gmapsupp.img" gmapsupp.bak
	del "%MAP_DIR%\*.img"
	del "%MAP_DIR%\*.tdb"
	rename "%MAP_DIR%\gmapsupp.bak" gmapsupp.img
)

exit /b 0

:tagEndParmError
echo Missing parameters
exit /b 1
