@echo off
rem ***********************************************************
rem Splits the planet file
rem   parameters: <country> <splitter-release> [<mapid>]
rem ***********************************************************

SETLOCAL

echo **********************************************************
echo %0 %1 %2
echo **********************************************************

if [%1]==[] goto tagEndParmError
if [%2]==[] goto tagEndParmError

set COUNTRY=%1
set SPLITTER_REL=%2
set MAPID=%3

if not exist MAPID (
	set MAPID=63240001
)

if not exist "..\Tiles\%COUNTRY%" (
	mkdir "..\Tiles\%COUNTRY%"
) else (
	del /F /Q /S "..\Tiles\%COUNTRY%\*.*"
)

if defined ProgramFiles(x86) (
	echo 64bit
	set JVM_MEMORY=10000M
) else (
	set JVM_MEMORY=1400M
)

java -Xmx%JVM_MEMORY% -jar ./mkgmap/splitter-r%SPLITTER_REL%/splitter.jar "../PlanetFiles/%COUNTRY%.osm.pbf"^
  --output-dir="..\Tiles\%COUNTRY%"^
  --mapid=%MAPID%^
  --description="Osm %COUNTRY%"^
  --max-nodes=2250000^
  --max-areas=512^
  --keep-complete=true^
  --cache=Cache

 exit /b 0
 
 :tagEndParmError
echo Missing parameter, usage: %0 ^<country^> ^<splitter-release^> ^[^<mapid^>^]
exit /b 1
