@echo off
rem ***********************************************************
rem Extract regions from Europe planet file
rem   parameters: <country> <osmosis-release>
rem The script expects a region definition in .\config\<country>.poly
rem ***********************************************************

SETLOCAL

echo **********************************************************
echo %0 %1 %2
echo **********************************************************

if [%1]==[] goto tagEndParmError
if [%2]==[] goto tagEndParmError

set COUNTRY=%1
set OSMOSIS_REL=%2
set TMP=..\PlanetFiles\tmp

if not exist "%tmp%\" (
	mkdir "%TMP%"
)

if defined ProgramFiles(x86) (
	echo 64bit
	set JAVACMD_OPTIONS=-Xmx10000M -Djava.io.tmpdir="%TMP%"
) else (
	set JAVACMD_OPTIONS=-Xmx1400M -Djava.io.tmpdir="%TMP%"
)

.\mkgmap\osmosis-%OSMOSIS_REL%\bin\osmosis.bat^
  --read-pbf-fast file=..\PlanetFiles\europe.osm.pbf workers=4^
  --log-progress 5^
  --bounding-polygon file=config\%COUNTRY%.poly cascadingRelations=true clipIncompleteEntities=true^
  --write-pbf file=..\PlanetFiles\%COUNTRY%.osm.pbf omitmetadata=true

del \F \S \Q "%TMP%"

exit /b 0

:tagEndParmError
echo Missing parameters
