@echo off
rem ***********************************************************
rem Make all maps
rem   Expects to have europe.osm.pbf in ..\PlanetFiles
rem ***********************************************************

set OSMOSIS_RELEASE=0.49.2
set SPLITTER_RELEASE=654
set MKGMAP_RELEASE=4921

rem Print help files
java -jar .\mkgmap\mkgmap-r%MKGMAP_RELEASE%\mkgmap.jar --version > .\help\mkgmap.txt 2>&1
java -jar .\mkgmap\mkgmap-r%MKGMAP_RELEASE%\mkgmap.jar --help=options >> .\help\mkgmap.txt
java -jar .\mkgmap\splitter-r%SPLITTER_RELEASE%\splitter.jar --version > .\help\splitter.txt 2>&1
java -jar .\mkgmap\splitter-r%SPLITTER_RELEASE%\splitter.jar --help >> .\help\splitter.txt

call CreateTyp snNormal.txt %MKGMAP_RELEASE%

rem Europe
call CreateTiles.cmd Europe %SPLITTER_RELEASE% 63240001
call CreateBoundaries.cmd Europe %MKGMAP_RELEASE%
call CreateNormalMap Europe %MKGMAP_RELEASE%
rem call CreateSlimMap Europe %MKGMAP_RELEASE%
call CreateInternationalMap Europe %MKGMAP_RELEASE%

rem Berlin
call Extract Berlin %OSMOSIS_RELEASE%
call CreateTiles.cmd Berlin %SPLITTER_RELEASE% 63240001
call CreateNormalMap Berlin %MKGMAP_RELEASE%

rem GermanyPlus
call Extract GermanyPlus %OSMOSIS_RELEASE%
call CreateTiles.cmd GermanyPlus %SPLITTER_RELEASE% 63240001
call CreateNormalMap GermanyPlus %MKGMAP_RELEASE%
rem call CreateNuviMap GermanyPlus %MKGMAP_RELEASE%

rem EastEurope
rem call Extract EastEurope %OSMOSIS_RELEASE%
rem call CreateTiles.cmd EastEurope %SPLITTER_RELEASE% 63240001
rem call CreateNuviMap EastEurope %MKGMAP_RELEASE%

rem NorthEurope
rem call Extract NorthEurope %OSMOSIS_RELEASE%
rem call CreateTiles.cmd NorthEurope %SPLITTER_RELEASE% 63240001
rem call CreateNuviMap NorthEurope %MKGMAP_RELEASE%
