Map creation procedure
======================

- Create new directory in Osm folder, e.g. `mkdir 20140824`
- Copy `Workshops\Workshop.<recent>.zip` to the folder created above
- Create 'PlanetFiles' directory in folder created above
- Download European planet file
	- Go to http://download.geofabrik.de/europe.html#
	- Under "Other Formats and Auxiliary Files" click "raw directory index"
	- Download  europe.osm.pbf from http://download.geofabrik.de/europe.html# to `PlanetFiles\`  
	  **Do not use latest because it might change in the middle of the long lasting download**
- Make sure the planet file is called `europe.osm.pbf` (remove latest or date from name and md5)
- Verify the md5 checksum of the planet file just downloaded
	- Use `Workshop\bin\md5.exe`
- Download predefined sea-file from https://www.thkukuk.de/osm/data/sea-latest.zip to `PlanetFiles\`
- Optional update mkgmap tools in `Workshop\mkgmap\`:
	- Download mkgmap: <http://www.mkgmap.org.uk/download/mkgmap.html>
	- Download splitter: <http://www.mkgmap.org.uk/download/splitter.html>
	- Download osmosis: <https://github.com/openstreetmap/osmosis/releases/latest>
	- Download osmconvert: <http://m.m.i24.cc/osmconvert.exe>
	- Download osmfilter: <http://m.m.i24.cc/osmfilter.exe>
	- Adjust version numbers in `Workshop\Make.cmd`
- Start process: `powershell ./make.cmd 2>&1 | .\bin\tee log.txt`
	- Warning, the powershell console doesn't show input messages!
	- Be careful if you call scripts twice, the overwrite confirmation
	  dialog doesn't show up. The console just waits and seems to do nothing.
- **Zip Workshop directory to `Workshops\`**
	  
Map creation quality assurance
==============================

- Check build logs
- Check if all maps are there
- Check if typ files are there
- In the maps:
	- Check lines:
		- Highway shields
		- Overlarge labels
		- Coast line
		- Land/see intersections
		- Piers
		- Ferry connectors
		- Station platform
		- Zoom levels
		- Unpaved roads
		- Routing features
	- Check points:
		- Overlarge labels
		- Cache machine labeling (bank name)
		- City label size

OSM Database Query
==================

https://overpass-turbo.eu/